---
title: overflow-inline
slug: Web/CSS/overflow-inline
tags:
  - CSS
  - CSS Box Model
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>overflow-inline</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets what shows when content overflows the inline start and end edges of a box. This may be nothing, a scroll bar, or the overflow content.</p>

<div class="note">
<p>The <code>overflow-inline</code> property maps to {{Cssxref("overflow-y")}} or {{Cssxref("overflow-x")}} depending on the writing mode of the document.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
overflow-inline: visible;
overflow-inline: hidden;
overflow-inline: scroll;
overflow-inline: auto;

/* Global values */
overflow-inline: inherit;
overflow-inline: initial;
overflow-inline: unset;
</pre>

<p>The <code>overflow-inline</code> property is specified as a single keyword chosen from the list of values below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>visible</code></dt>
 <dd>Content is not clipped and may be rendered outside the padding box's inline start and end edges.</dd>
 <dt><code>hidden</code></dt>
 <dd>Content is clipped if necessary to fit the inline dimension in the padding box. No scrollbars are provided.</dd>
 <dt><code>scroll</code></dt>
 <dd>Content is clipped if necessary to fit in the padding box in the inline dimension. Browsers display scrollbars whether or not any content is actually clipped. (This prevents scrollbars from appearing or disappearing when the content changes.) Printers may still print overflowing content.</dd>
 <dt><code>auto</code></dt>
 <dd>Depends on the user agent. If content fits inside the padding box, it looks the same as <code>visible</code>, but still establishes a new block-formatting context. Desktop browsers provide scrollbars if content overflows.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_inline_overflow_behavior">Setting inline overflow behavior</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul&gt;
  &lt;li&gt;&lt;code&gt;overflow-inline:hidden&lt;/code&gt; — hides the text outside the box
    &lt;div id="div1"&gt;
      ABCDEFGHIJKLMOPQRSTUVWXYZABCDEFGHIJKLMOPQRSTUVWXYZ
    &lt;/div&gt;
  &lt;/li&gt;

  &lt;li&gt;&lt;code&gt;overflow-inline:scroll&lt;/code&gt; — always adds a scrollbar
    &lt;div id="div2"&gt;
      ABCDEFGHIJKLMOPQRSTUVWXYZABCDEFGHIJKLMOPQRSTUVWXYZ
    &lt;/div&gt;
  &lt;/li&gt;

  &lt;li&gt;&lt;code&gt;overflow-inline:visible&lt;/code&gt; — displays the text outside the box if needed
    &lt;div id="div3"&gt;
      ABCDEFGHIJKLMOPQRSTUVWXYZABCDEFGHIJKLMOPQRSTUVWXYZ
    &lt;/div&gt;
  &lt;/li&gt;

  &lt;li&gt;&lt;code&gt;overflow-inline:auto&lt;/code&gt; — on most browsers, equivalent to &lt;code&gt;scroll&lt;/code&gt;
    &lt;div id="div4"&gt;
      ABCDEFGHIJKLMOPQRSTUVWXYZABCDEFGHIJKLMOPQRSTUVWXYZ
    &lt;/div&gt;
  &lt;/li&gt;
&lt;/ul&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#div1, #div2, #div3, #div4 {
  border: 1px solid black;
  width:  250px;
  margin-bottom: 12px;
}

#div1 { overflow-inline: hidden;}
#div2 { overflow-inline: scroll;}
#div3 { overflow-inline: visible;}
#div4 { overflow-inline: auto;}
</pre>

<h4 id="Result">Result</h4>

<figure>
<p>{{EmbedLiveSample("Setting_inline_overflow_behavior", "100%", "270")}}</p>
</figure>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Overflow', '#propdef-overflow-inline', 'overflow-inline')}}</td>
   <td>{{Spec2('CSS3 Overflow')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.overflow-inline")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related CSS properties: {{cssxref("text-overflow")}}, {{cssxref("white-space")}}, {{Cssxref("overflow")}}, {{Cssxref("overflow-block")}}, {{Cssxref("overflow-x")}}, {{Cssxref("overflow-y")}}, {{Cssxref("clip")}}, {{Cssxref("display")}}</li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Logical_Properties">CSS Logical Properties</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Writing_Modes">Writing Modes</a></li>
</ul>
